Package org.openjump.core.ui.plugin.datastore.ocient

# Class OcientDataStoreDriver

java.lang.Object
com.vividsolutions.jump.datastore.spatialdatabases.AbstractSpatialDatabasesDSDriver
org.openjump.core.ui.plugin.datastore.ocient.OcientDataStoreDriver

All Implemented Interfaces:
  `com.vividsolutions.jump.datastore.DataStoreDriver`

    public class OcientDataStoreDriver
    extends com.vividsolutions.jump.datastore.spatialdatabases.AbstractSpatialDatabasesDSDriver

A driver for supplying `SpatialDatabasesDSConnection`s

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static String` | `JDBC_CLASS` |

### Fields inherited from class com.vividsolutions.jump.datastore.spatialdatabases.AbstractSpatialDatabasesDSDriver

`driverName, jdbcClass, jdbcDriver, PARAM_DB_File, PARAM_Instance, PARAM_Password, PARAM_Port, PARAM_Server, PARAM_User, paramClasses, paramNames, schema, urlPrefix`

### Fields inherited from interface com.vividsolutions.jump.datastore.DataStoreDriver

`REGISTRY_CLASSIFICATION`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`OcientDataStoreDriver()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`com.vividsolutions.jump.datastore.DataStoreConnection` | `createConnection​(com.vividsolutions.jump.parameter.ParameterList params)` | returns the right type of DataStoreConnection

### Methods inherited from class com.vividsolutions.jump.datastore.spatialdatabases.AbstractSpatialDatabasesDSDriver

`createJdbcConnection, createJdbcConnection, createJdbcUrl, getJdbcClass, getJdbcDriver, getJdbcDriverVersion, getName, getParamClasses, getParameterListSchema, getParamNames, getSchema, getUrlPrefix, getVersion, initializeJdbcDriver, isAdHocQuerySupported`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.vividsolutions.jump.datastore.DataStoreDriver

`toString`

## Field Details

### JDBC_CLASS

public static final String JDBC_CLASS

See Also:
  Constant Field Values

## Constructor Details

### OcientDataStoreDriver

public OcientDataStoreDriver()

## Method Details

### createConnection

public com.vividsolutions.jump.datastore.DataStoreConnection createConnection​(com.vividsolutions.jump.parameter.ParameterList params) throws Exception
returns the right type of DataStoreConnection

Specified by:
  `createConnection` in interface `com.vividsolutions.jump.datastore.DataStoreDriver`
Specified by:
  `createConnection` in class `com.vividsolutions.jump.datastore.spatialdatabases.AbstractSpatialDatabasesDSDriver`
Parameters:
  `params` -
Returns:
Throws:
  `Exception`